clang 8.0.0

Public Types | Public Member Functions | List of all members
clang::threadSafety::til::SimpleReducerBase Class Reference

`#include "clang/Analysis/Analyses/ThreadSafetyTraverse.h"`

Inheritance diagram for clang::threadSafety::til::SimpleReducerBase:
[legend]

## Public Types
enum | TraversalKind { TRV_Normal, TRV_Decl, TRV_Lazy, TRV_Type }
using | R_Ctx = TraversalKind

## Public Member Functions
R_Ctx | subExprCtx (R_Ctx Ctx)
R_Ctx | declCtx (R_Ctx Ctx)
R_Ctx | lazyCtx (R_Ctx Ctx)
R_Ctx | typeCtx (R_Ctx Ctx)

## Detailed Description

Definition at line 102 of file ThreadSafetyTraverse.h.

## Member Typedef Documentation

## ◆ R_Ctx

using clang::threadSafety::til::SimpleReducerBase::R_Ctx = TraversalKind

Definition at line 121 of file ThreadSafetyTraverse.h.

## Member Enumeration Documentation

## ◆ TraversalKind

enum clang::threadSafety::til::SimpleReducerBase::TraversalKind

Enumerator
TRV_Normal |
TRV_Decl |
TRV_Lazy |
TRV_Type |

Definition at line 104 of file ThreadSafetyTraverse.h.

## Member Function Documentation

## ◆ declCtx()

R_Ctx clang::threadSafety::til::SimpleReducerBase::declCtx | ( | R_Ctx | Ctx | ) |
| inline

Definition at line 128 of file ThreadSafetyTraverse.h.

## ◆ lazyCtx()

R_Ctx clang::threadSafety::til::SimpleReducerBase::lazyCtx | ( | R_Ctx | Ctx | ) |
| inline

Definition at line 132 of file ThreadSafetyTraverse.h.

## ◆ subExprCtx()

R_Ctx clang::threadSafety::til::SimpleReducerBase::subExprCtx | ( | R_Ctx | Ctx | ) |
| inline

Definition at line 124 of file ThreadSafetyTraverse.h.

## ◆ typeCtx()

R_Ctx clang::threadSafety::til::SimpleReducerBase::typeCtx | ( | R_Ctx | Ctx | ) |
| inline

Definition at line 135 of file ThreadSafetyTraverse.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/Analyses/ThreadSafetyTraverse.h